Gatana logoGatana Docs
RoutesMcp serversServerslugToolsToolnameCall

/mcp-servers/{serverSlug}/tools/{toolName}/call

Call a tool on an MCP server. The tool must be enabled, the arguments are validated against the tool schema, and the call is written to the audit log

POST
/mcp-servers/{serverSlug}/tools/{toolName}/call
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
toolName*string

Request Body

application/json

args*

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/tools/string/call" \  -H "Content-Type: application/json" \  -d '{    "args": {      "property1": null,      "property2": null    }  }'
{
  "result": {
    "isError": true,
    "errorCode": "string",
    "errorMessage": "string",
    "structuredContent": {
      "property1": null,
      "property2": null
    },
    "content": [
      {
        "property1": null,
        "property2": null
      }
    ]
  }
}